#!/bin/bash
pathroundcube=$(pwd)
cd /usr/share/roundcubemail
# composer seems to have issues to detect roundcubemail 1.6.6 version... so:
# we could also get it from index.php header.
export COMPOSER_ROOT_VERSION=`rpm -q roundcubemail --queryformat "%{VERSION}"`
# all those are supported using rpm
#COMPOSER_ALLOW_SUPERUSER=1 /usr/bin/php83  -d allow_url_fopen=1 /usr/bin/composer require johndoh/contextmenu --with-all-dependencies --no-interaction
#COMPOSER_ALLOW_SUPERUSER=1 /usr/bin/php83  -d allow_url_fopen=1 /usr/bin/composer require johndoh/globaladdressbook ~2.1 --with-all-dependencies --no-interaction
#COMPOSER_ALLOW_SUPERUSER=1 /usr/bin/php83  -d allow_url_fopen=1 /usr/bin/composer require roundcube/larry ~1.6.0 --with-all-dependencies --no-interaction
#COMPOSER_ALLOW_SUPERUSER=1 /usr/bin/php83  -d allow_url_fopen=1 /usr/bin/composer require bennet0496/nextcloud_attachments --with-all-dependencies --no-interaction
COMPOSER_ALLOW_SUPERUSER=1 /usr/bin/php83  -d allow_url_fopen=1 /usr/bin/composer update --with-all-dependencies --no-interaction
cd $pathroundcube

